> For the complete documentation index, see [llms.txt](https://doc.wearepatchworks.com/product-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.wearepatchworks.com/product-documentation/api-reference/working-with-api-docs/about-our-api-documentation.md).

# About our API documentation

## Introduction

Our API documentation is generated from an OpenAPI specification, which means:  &#x20;

* It's always up-to-date. Patchworks API documentation is synced with releases, so you’re never out of the loop.
* You can access integrated testing features. With strong testing capabilities and a user-friendly environment, this documentation set is your go-to destination for API information.
* The API reference sits alongside the product documentation, so everything is searchable in one place. &#x20;

## The Patchworks Core Postman collection

If you prefer working with Postman, you'll find our Postman documentation at the link below:

{% embed url="<https://postman.wearepatchworks.com/#65c7f7cf-9291-4746-b30f-e2af2d580d56>" %}

For the latest collection, you can [download our current OpenAPI specification](/product-documentation/api-reference/getting-started/readme.md) and import it to Postman.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.wearepatchworks.com/product-documentation/api-reference/working-with-api-docs/about-our-api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
